मैं वेबपैक का उपयोग करके कोणीय 6 ऐप बनाने की कोशिश कर रहा हूं।

के रूप में त्रुटि हो रही है

./src/main.ts में त्रुटि मॉड्यूल निर्माण विफल रहा (./node_modules/@ngtools/webpack/src/index.js से): त्रुटि: मॉड्यूल '@angular/compiler-cli/ngcc' नहीं खोजा जा सका

पैकेज.जेसन

{
  "name": "cloud-complince",
  "version": "0.0.0",
  "scripts": {
    "ng": "ng",
    "start": "ng serve",
    "build": "webpack",
    "test": "ng test",
    "lint": "ng lint",
    "e2e": "ng e2e"
  },
  "private": true,
  "dependencies": {
    "@angular/animations": "^6.1.10",
    "@angular/common": "^6.1.10",
    "@angular/compiler": "^6.1.10",
    "@angular/core": "^6.1.10",
    "@angular/forms": "^6.1.10",
    "@angular/http": "^6.1.10",
    "@angular/platform-browser": "^6.1.10",
    "@angular/platform-browser-dynamic": "^6.1.10",
    "@angular/router": "^6.1.10",
    "chart.js": "^2.8.0",
    "chartjs-plugin-datalabels": "^0.4.0",
    "classlist.js": "^1.1.20150312",
    "core-js": "^2.6.9",
    "ngx-cookie": "^3.0.1",
    "rxjs": "~6.2.0",
    "rxjs-compat": "^6.5.2",
    "web-animations-js": "^2.3.2",
    "zone.js": "^0.8.29"
  },
  "devDependencies": {
    "@angular-devkit/build-angular": "^0.8.9",
    "@angular/cli": "^6.2.7",
    "@angular/compiler-cli": "^6.1.0",
    "@angular/language-service": "^6.1.10",
    "@ngtools/webpack": "^8.1.1",
    "@types/jasmine": "^2.8.16",
    "@types/jasminewd2": "^2.0.6",
    "@types/node": "~8.9.4",
    "codelyzer": "~4.3.0",
    "copy-webpack-plugin": "^4.6.0",
    "html-webpack-plugin": "^2.30.1",
    "jasmine-core": "~2.99.1",
    "jasmine-spec-reporter": "~4.2.1",
    "karma": "~3.0.0",
    "karma-chrome-launcher": "~2.2.0",
    "karma-coverage-istanbul-reporter": "^2.0.5",
    "karma-jasmine": "~1.1.2",
    "karma-jasmine-html-reporter": "^0.2.2",
    "protractor": "^5.4.2",
    "raw-loader": "^0.5.1",
    "script-ext-html-webpack-plugin": "^1.8.8",
    "ts-node": "~7.0.0",
    "tslint": "~5.11.0",
    "typescript": "~2.9.2",
    "webpack": "4.24.0"
  }
}

Tsconfig.json

    {
  "compileOnSave": false,
  "compilerOptions": {
    "baseUrl": "./",
    "outDir": "./dist/out-tsc",
    "sourceMap": true,
    "declaration": false,
    "module": "es2015",
    "moduleResolution": "node",
    "emitDecoratorMetadata": true,
    "experimentalDecorators": true,
    "target": "es5",
    "skipLibCheck": true,
    "typeRoots": [
      "node_modules/@types"
    ],
    "lib": [
      "es2017",
      "dom"
    ]
  }
}

कृपया इस मुद्दे को हल करने में मेरी मदद करें

अग्रिम में धन्यवाद

1
Dee 15 जुलाई 2019, 21:14

1 उत्तर

सबसे बढ़िया उत्तर

यह देखने के लिए इन आदेशों का प्रयास करें कि क्या यह काम करता है

npm uninstall angular-cli -g
npm uninstall angular-cli --save
npm install -g @angular/cli
npm install @angular/cli --save
npm install @angular/compiler-cli --save
0
Tony Ngo 16 जुलाई 2019, 18:41